import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Food that Poppi can eat.
 * 
 * @author Folkert van Verseveld 
 * @version 0.1.0
 */
public class Food  extends Actor
{
    /** count is your score you get by eating this food */
    private int count = 20;
    /** sets of the food is 'good' for Poppi */
    private boolean goodFood = false;
    public Food(int count, boolean goodFood)
    {
        this.count = count;
        this.goodFood = goodFood;
    }
    /**
     * Do whatever the Hamburger wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        if (((PoppiWorld) getWorld()).GameStarted)
        {
            Poppi poppi = (Poppi) getOneIntersectingObject(Poppi.class);
            setLocation(getX(), getY() + 2);
            if (getY() > 478)
            {
                ((PoppiWorld) getWorld()).FoodInPoppiWorld = false;
                getWorld().removeObject(this);
            }
            if (poppi != null) {
                ((PoppiWorld) getWorld()).countFood(count);
                ((PoppiWorld) getWorld()).FoodInPoppiWorld = false;
                if (goodFood)
                {
                    Greenfoot.playSound("eat.wav");
                    poppi.goodEat();
                }
                else
                {
                    poppi.sad(60);
                }
                getWorld().removeObject(this);
            }
        }
    }    
}
