import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)
import java.awt.Color;
import java.awt.Font;
//import java.util.Calendar;

/**
 * The GameStartBoard is used to display pictures on the screen. It
 * display some text.
 * 
 * @author Folkert van Verseveld
 * @version 0.1.0
 */
public class GameStartBoard extends Actor
{
    public static final float FONT_SIZE = 24.0F;
    public static final float FONT_SIZE_SMALL = 12.0F;
    /** Width of image */
    public static final int WIDTH = 400;
    /** Height of image */
    public static final int HEIGHT = 300;

    /**
     * Create a score board for the final result.
     */
    public GameStartBoard()
    {
        makeImage();
    }
    
    /**
     * Check if the user press the start key
     */
    public void act()
    {
        if (Greenfoot.isKeyDown("space")) // if true { start game }
        {
            ((PoppiWorld) getWorld()).GameStarted = true;
            getWorld().removeObject(this);
        }
    }

    /**
     * Make the score board image.
     */
    private void makeImage()
    {
        GreenfootImage image = new GreenfootImage(WIDTH, HEIGHT);
        GreenfootImage bread = new GreenfootImage("images/bread.png");
        bread.scale(32, 24);
        GreenfootImage hamburger = new GreenfootImage("images/hamburger.png");
        hamburger.scale(32, 32);
        GreenfootImage pizza = new GreenfootImage("images/pizza_cheese.png");
        pizza.scale(32, 32);
        GreenfootImage chips = new GreenfootImage("images/chips.png");
        chips.scale(32, 32);
        GreenfootImage mushroom = new GreenfootImage("images/mushroom.png");
        mushroom.scale(32, 32);
        GreenfootImage muffin = new GreenfootImage("images/muffin.png");
        muffin.scale(32, 32);

        image.setColor(new Color(0, 0, 0, 160));
        image.fillRect(0, 0, WIDTH, HEIGHT);
        image.setColor(new Color(255, 255, 255, 100));
        image.fillRect(5, 5, WIDTH-10, HEIGHT-10);
        Font font = image.getFont();
        font = font.deriveFont(FONT_SIZE);
        image.setFont(font);
        image.setColor(Color.WHITE);
        image.drawString("PoppiJump", 60, 48);
        font = font.deriveFont(FONT_SIZE_SMALL);
        image.setFont(font);
        image.drawString("Press <space> to start", 60, 80);
        image.drawString("Use the arrow keys or <a> and <d> to move your Poppi", 60, 96);
        image.drawImage(bread, 60, 112);
        image.drawString("Bread: 10 points", 96, 128);
        image.drawImage(hamburger, 60, 144);
        image.drawString("Hamburger: 20 points", 96, 160);
        image.drawImage(pizza, 60, 176);
        image.drawString("Pizza: 25 points", 96, 192);
        image.drawImage(chips, 224, 112);
        image.drawString("Chips: 30 points", 262, 128);
        image.drawImage(muffin, 224, 144);
        image.drawString("Muffin: 40 points", 262, 160);
        image.drawImage(mushroom, 224, 176);
        image.drawString("Mushroom: -50 points", 262, 192);
        image.drawString("You can also get points to come higher with your Poppi", 60, 224);
        image.drawString("created by: Folkert van Verseveld", 60, 256);
        image.drawString("version: 0.1.0", 60, 272);
        image.drawString("(c)opyright by GreenFoot and Folkert van Verseveld", 60, 288);
        setImage(image);
    }
}
