import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)
import java.awt.Font;

/**
 * Counter that displays the health of Poppi.
 * 
 * @author Folkert van Verseveld
 * @version 0.1.0
 */
public class HealthBar extends Actor
{
    private int value = 100;
    private int target = 100;
    private String text;
    private int stringLength;

    public HealthBar()
    {
        this("");
    }

    public HealthBar(String prefix)
    {
        text = prefix;
        stringLength = (text.length() + 2) * 16;

        setImage(new GreenfootImage(stringLength, 24));
        GreenfootImage image = getImage();
        Font font = image.getFont();
        image.setFont(font.deriveFont(24.0F));  // use larger font
        
        updateImage();
    }
    
    public void act() {
        if(value < target) {
            value++;
            updateImage();
        }
        else if(value > target) {
            value--;
            updateImage();
        }
    }

    public void add(int health)
    {
        target += health;
        if (target > 100)
        {
            target = 100;
        }
    }

    public void subtract(int health)
    {
        target -= health;
    }

    public int getValue()
    {
        return value;
    }
    
    public int getTarget()
    {
        return target;
    }

    /**
     * Make the image
     */
    private void updateImage()
    {
        GreenfootImage image = getImage();
        image.clear();
        image.drawString(text + value, 1, 18);
    }
    
    /**
     * reset - Resets the values of counte
     */
    public void reset()
    {
        value = 100;
        target = 100;
        updateImage();
    }
}
